<?php 
get_header();
global $voxis_options;
?>

<div id="main">
    <div class='container'>
        <div class='row'>
            <div class='content span8'>
                <div class="blog-page">
                    <article>
                        <h1 class="title">
                            <?php 
                            if ( is_day() ) :
                                printf( __( 'Daily Archives: %s', 'Voxis' ), '<span>' . get_the_date() . '</span>' );
                            elseif ( is_month() ) :
                                printf( __( 'Monthly Archives: %s', 'Voxis' ), '<span>' . get_the_date( _x( 'F Y', 'monthly archives date format', 'Voxis' ) ) . '</span>' );
                            elseif ( is_year() ) :
                                printf( __( 'Yearly Archives: %s', 'Voxis' ), '<span>' . get_the_date( _x( 'Y', 'yearly archives date format', 'Voxis' ) ) . '</span>' );
                            else :
                                _e( 'Archives', 'Voxis' );
                            endif;
                            ?>
                        </h1>
                    </article>
                </div>
                <div class='blog-style'>
                    <?php
                    global $query_string;
                    $numposts = $voxis_options['category_postsnumber'] != 0 ? (int)$voxis_options['category_postsnumber'] : 10;
                    query_posts($query_string . '&posts_per_page=' . $numposts);
                    if(have_posts() ) : while(have_posts() ) : the_post();
                        get_template_part('content');
                    endwhile; 
                    get_template_part('includes/pagination'); 
                    else : ?>
                        <div class="page404">
                            <div class='big-title'><?php _e('Oops!', 'Voxis');?></div>
                            <div class='small-title'><?php _e('No posts added by ', 'Voxis'); echo $curauth->display_name; ?></div>
                        </div>
                    <?php endif; wp_reset_query(); ?>
                </div>
            </div>

            <?php get_sidebar();?>
        </div>
    </div>
</div>
<?php get_footer();?>