<?php 
get_header();
global $voxis_options;
$curauth = (isset($_GET['author_name'])) ? get_user_by('slug', $author_name) : get_userdata(intval($author));
?>

<div id="main">
    <div class='container'>
        <div class='row'>
            <div class='content span8 blog-style'>
                <div class='row'>
                    <div class='span8 author-box'>
                        <div class='box-title'>
                            <h2><?php _e('About', 'Voxis');?> <?php echo $curauth->display_name;?> </h2>
                            <div class='title-line'></div>
                        </div>
                        <div class='author'>
                            <div class="inner-border">
                                <figure>
                                    <?php echo get_avatar($curauth->user_email, 91, 91);?>
                                </figure>
                                <div class='author-links'>
                                    <?php 
                                    $twitter = $curauth->twitter;
                                    $facebook = $curauth->facebook;
                                    $gplus = $curauth->gplus;
                                    if($twitter != '') 
                                        echo '<a rel="nofollow" href="' . esc_url($twitter). '" class="twitter author-social">Twitter</a>';
                                    if($facebook != '') 
                                        echo '<a rel="nofollow" href="' . esc_url($facebook). '" class="facebook author-social">Facebook</a>';
                                    if($gplus != '') 
                                        echo '<a rel="nofollow" href="' . esc_url($gplus). '" class="googleplus author-social">Google+</a>';
                                    ?>
                                </div>
                                <div class='description'>
                                    <?php echo $curauth->description;?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php
                global $query_string;
                $numposts = $voxis_options['category_postsnumber'] != 0 ? (int)$voxis_options['category_postsnumber'] : 10;
                query_posts($query_string . '&posts_per_page=' . $numposts);
                $count = 0;
                if(have_posts() ) : while(have_posts() ) : the_post();
                    get_template_part('content');

                    $count++;
                    //Ads after the 2nd post
                    if($count == 2) {
                        if(isset($voxis_options['middle_728x90']) && $voxis_options['middle_728x90'] != '') { ?>
                        <div class='middle-advertising hidden-phone'>
                            <?php echo $voxis_options['middle_728x90'];?>
                        </div>
                        <?php }
                    }
                    //end ads
                endwhile; 
                get_template_part('includes/pagination'); 
                else : ?>
                    <div class="page404">
                        <div class='big-title'><?php _e('Oops!', 'Voxis');?></div>
                        <div class='small-title'><?php _e('No posts added by ', 'Voxis'); echo $curauth->display_name; ?></div>
                    </div>
                <?php endif; wp_reset_query(); ?>
            </div>

            <?php get_sidebar();?>
            
        </div>
    </div>
</div>
<?php get_footer();?>