<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
    <title><?php wp_title('-');?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0">
    <link rel="icon" type="image/png" href="<?php echo get_template_directory_uri() . 'img/favicon.png';?>" />
    <!--[if lt IE 9]>
    <link href="css/ie8.css" rel="stylesheet" type="text/css" />
    <script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <?php
    global $voxis_options;
    if(isset($voxis_options['integration_header'])) echo $voxis_options['integration_header'] . PHP_EOL; 
    wp_head(); 
    ?>
</head>
<body <?php body_class();?>>
<header>
    <div class='container'>
        <div class='row menu-line'>
            <div class='span7'>
                <nav>
                    <?php wp_nav_menu(array(
                                'theme_location' => 'small-menu',
                                'container' => '',
                                'fallback_cb' => 'show_top_menu',
                                'echo' => true
                    ) ); ?>
                </nav>
            </div>
            <div class='span3 social-links'>
                <ul>
                    <?php if(isset($voxis_options['facebook_url']) && $voxis_options['facebook_url'] != '#') { ?>
                        <li><a href="<?php echo esc_url($voxis_options['facebook_url']);?>" class='facebook'>Facebook</a></li>
                    <?php } ?>

                    <?php if(isset($voxis_options['twitter_url']) && $voxis_options['twitter_url'] != '#') { ?>
                        <li><a href="<?php echo esc_url($voxis_options['twitter_url']);?>" class='twitter'>Twitter</a></li>
                    <?php } ?>

                    <?php if(isset($voxis_options['pinterest_url']) && $voxis_options['pinterest_url'] != '#') { ?>
                        <li><a href="<?php echo esc_url($voxis_options['pinterest_url']);?>" class='pinterest'>Pinterest</a></li>
                    <?php } ?>

                    <?php if(isset($voxis_options['gplus_url']) && $voxis_options['gplus_url'] != '#') { ?>
                        <li><a href="<?php echo esc_url($voxis_options['gplus_url']);?>" class='googleplus'>Google+</a></li>
                    <?php } ?>

                    <?php if(isset($voxis_options['youtube_url']) && $voxis_options['youtube_url'] != '#') { ?>
                        <li><a href="<?php echo esc_url($voxis_options['youtube_url']);?>" class='youtube'>Youtube</a></li>
                    <?php } ?>
                </ul>
            </div>
            <div class='span2 search-form'>
                <form action="<?php echo home_url(); ?>/">
                    <input class='span2' type="text" name="s" placeholder="<?php _e('Search...', 'Voxis');?>" />
                    <input type="submit" name="submit" value='Search' />
                </form>
            </div>
        </div>
        <div class='row breaking-news'>
            <div class='span2 title'>
               <span><?php _e('Breaking News', 'Voxis');?></span>
            </div>
            <div class='span10 header-news'>
                <ul id="js-news" class="js-hidden">
                    <?php 
                    $args = array();
                    if(isset($voxis_options['breakingnews_cats']) && $voxis_options['breakingnews_cats'] != '')
                        $args['category__in'] = $voxis_options['breakingnews_cats'];
                    $args['posts_per_page'] = (int)$voxis_options['breakingnews_numposts'];
                    $query = new WP_Query($args);
                    while($query->have_posts() ) : $query->the_post(); ?>
                        <li class="news-item">
                            <a href="<?php the_permalink();?>"><?php the_title();?></a>
                        </li>
                    <?php endwhile; wp_reset_postdata();?>
                </ul>
            </div>
        </div>
        <div class='row logo-line'>
            <div class='span3 logo' <?php if(isset($voxis_options['top_728x90']) && $voxis_options['top_728x90'] != '') echo 'style="margin-top: 15px"';?>>
                <a href="<?php echo home_url();?>">
                    <figure>
                        <?php
                        if(isset($voxis_options['logo']) && $voxis_options['logo'] != '')
                            $logo = $voxis_options['logo'];
                        else
                            $logo = get_template_directory_uri() . '/img/logo.png';
                        ?>
                        <img src="<?php echo $logo;?>" alt="<?php bloginfo('name');?>" />
                    </figure>
                </a>
            </div>
            <?php if(isset($voxis_options['top_728x90']) && $voxis_options['top_728x90'] != '') { ?>
                <div class='span8 offset1 top-advertising hidden-phone'>
                    <?php echo $voxis_options['top_728x90'];?>
                </div>
            <?php } ?>
        </div>
        <div class='row main-nav'>
            <div class='span12'>
                <nav>
                    <?php wp_nav_menu(array(
                                'theme_location' => 'top-menu',
                                'container' => '',
                                'fallback_cb' => 'show_top_menu',
                                'echo' => true
                    ) ); ?>
                </nav>
            </div>
        </div>
    </div>
</header>
<?php if(is_home() || is_front_page() ) get_template_part('includes/featured'); ?>
