<?php
add_action( 'admin_init', 'voxis_meta_boxes');
function voxis_meta_boxes() {
	add_meta_box('voxis_pagetemplates_meta', 'Page Template Settings', 'voxis_pagetemplates_meta', 'page', 'side');
}
//*********** Page Templates Area **************

function voxis_pagetemplates_meta() {
	global $post;
	$temp = maybe_unserialize(get_post_meta($post->ID,'voxis_ptemplate_settings',true));
	$fullwidth = isset($temp['fullwidth']) ? $temp['fullwidth'] : '';
	$categories = isset($temp['categories']) ? $temp['categories'] : '';
	$blog_posts = isset($temp['blog_posts']) ? $temp['blog_posts'] : '';
	$blog_style = isset($temp['blog_style']) ? $temp['blog_style'] : '';
?>
		Here you'll see some page template options(just for the theme specific page templates)
		<div style="margin: 15px 0px 15px 0px; display: none" class="blog">
			<label style="font-weight: bold" for="voxis_fullwidth">Full width page?</label>
			<input type="checkbox" name="voxis_fullwidth" id="voxis_fullwidth" value="" <?php checked( $fullwidth ); ?> />
		</div>
		<div style="margin: 15px 0px 15px 0px; display: none" class="blog">
			<label style="font-weight: bold" for="voxis_blogstyle">Blog style?</label>
			<input type="checkbox" name="voxis_blogstyle" id="voxis_blogstyle" value="" <?php checked( $blog_style ); ?> />
		</div>
		<div style="margin: 15px 0px 15px 0px; display: none" class="blog">
			<h4>Select categories to include: </h4>
					
			<?php $cats_array = get_categories('hide_empty=0');
			foreach ($cats_array as $cat) {
				$checked = '';
				
				if (!empty($categories)) {
					if (in_array($cat->cat_ID, $categories)) $checked = "checked=\"checked\"";
				} ?>
				
				<label style="padding-bottom: 5px; display: block" for="<?php echo 'cat-' . $cat->cat_ID; ?>">
					<input type="checkbox" name="voxis_categories[]" id="<?php echo 'cat-' . $cat->cat_ID; ?>" value="<?php echo $cat->cat_ID; ?>" <?php echo $checked; ?> />
					<?php echo $cat->cat_name; ?>
				</label>							
			<?php } ?>
		</div>

		<div style="margin: 15px 0px 15px 0px; display: none" class="blog">
			<label style="font-weight: bold" for="voxis_blogposts">Number of blog posts per page:</label>
			<input size="2" type="text" name="voxis_blogposts" id="voxis_blogposts" value="<?php if($blog_posts == '') echo '6'; else echo $blog_posts;?>" />
		</div>

		<script type="text/javascript">
			jQuery(document).ready(function() {	
				var page_template = jQuery('select#page_template'),
					page_template_div = jQuery('#voxis_pagetemplates_meta');
				page_template.on('change', function() {
					page_template_div.find('.inside > div').css('display','none');
					var ptval = jQuery(this).val();
					if(ptval === "page-template-contact.php")
						jQuery("div.contact").show(400);
					else
					if(ptval === "page-template-blog.php")
						jQuery("div.blog").show(400);
				});
				page_template.trigger('change');				
			});
		</script>
<?php 
}
add_action('save_post', 'voxis_save_ptemplate_settings', 10, 2);
function voxis_save_ptemplate_settings($post_id, $post) 
{
	// verify if this is an auto save routine. 
    // If it is our form has not been submitted, so we dont want to do anything
    if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) 
   		 return;
   	// Check permissions
    if ( 'page' == $post->post_type )  
    {
 	   if ( !current_user_can( 'edit_page', $post_id ) )
       		 return;
 	}
  	else
  	{
    	if ( !current_user_can( 'edit_post', $post_id ) )
        	return;	
    }
    $temp = array();
    if(isset($_POST['voxis_fullwidth']))
    	$temp['fullwidth'] = 1;
    else
    	$temp['fullwidth'] = 0;

    if(isset($_POST['voxis_blogstyle']))
    	$temp['blog_style'] = 1;
    else
    	$temp['blog_style'] = 0;
    
    if(isset($_POST['voxis_categories']))
    {
    		$temp['categories'] = (array)$_POST['voxis_categories'];
    }
    else
    	$temp['categories'] = '';

    if(isset($_POST['voxis_blogposts']) != '' && is_numeric($_POST['voxis_blogposts']) )
    	$temp['blog_posts'] = (int)$_POST['voxis_blogposts'];
    else
    	$temp['blog_posts'] = 6; 

    update_post_meta($post_id, 'voxis_ptemplate_settings', $temp);
}

?>