<?php
add_shortcode('one_third','voxis_one_third');
function voxis_one_third($atts, $content = null){
	$output = '<div class="third">';
	$output .= do_shortcode($content);
	$output .= '</div>';
	return $output;
}

add_shortcode('one_half','voxis_one_half');
function voxis_one_half($atts, $content = null){
	$output = '<div class="half">';
	$output .= do_shortcode($content);
	$output .= '</div>';
	return $output;
}

add_shortcode('two_thirds','voxis_two_thirds');
function voxis_two_thirds($atts, $content = null){
	$output = '<div class="two-thirds">';
	$output .= do_shortcode($content);
	$output .= '</div>';
	return $output;
}

add_shortcode('one_fourth','voxis_one_fourth');
function voxis_one_fourth($atts, $content = null){
	$output = '';
	$output .= '<div class="one-fourth">';
	$output .= do_shortcode($content);
	$output .= '</div>';
	return $output;
}

add_shortcode('header','voxis_header');
function voxis_header($atts, $content = null){
	return '<h1 class="header">' . do_shortcode($content) . '</h1>';
}

add_shortcode('subheader','voxis_subheader');
function voxis_subheader($atts, $content = null){
	return '<h2 class="subheader">' . do_shortcode($content) . '</h2>';
}

add_shortcode('separator', 'voxis_separator');
function voxis_separator($atts, $content = null) {
	return '<div class="normal-divider"></div>';
}

add_shortcode('divider', 'voxis_divider');
function voxis_divider($atts, $content = null) {
	return '<div class="inner-divider"></div>';
}

add_shortcode('clear', 'voxis_clear');
function voxis_clear($atts, $content = null) {
	return '<div class="clear"></div>';
}

add_shortcode('ordered_list', 'voxis_ordered_list');
function voxis_ordered_list($atts, $content = null) { 
	return '<ol class="custom-ordered-list">' . do_shortcode($content) . '</ol> <div class="clear"></div>';
}

add_shortcode('list_item', 'voxis_list_item');
function voxis_list_item($atts, $content=null) {
	extract(shortcode_atts(array(
		'number' => '',
	), $atts));
	$output = '<li>';
	if($number !== '') 
		$output .= ' <span class="number-style">' . do_shortcode($number) . '</span>';
	$output .= '<span class="text">' . $content . '</span>';
	$output .= '</li>';
	return $output;
}

add_shortcode('list', 'voxis_list');
function voxis_list($atts, $content = null) { 
	extract(shortcode_atts(array(
		'type' => '',
	), $atts));
	if($type != 'check' && $type != 'star' && $type != 'plus')
		$type = 'check';
	return '<ul class="' . $type . '-list">' . do_shortcode($content) . '</ul>';
}


add_shortcode('button', 'voxis_button');
function voxis_button($atts, $content=null) {
	extract(shortcode_atts(array(
		'size' => 'medium',
		'color' => '',
		'url' => '',
		'newwindow' => '',
		'icon' => ''
	), $atts));
	$output = '';
	$extra = '';
	$extra2 = '';
	$class = 'btn btn-custom ';
	if($size == 'small')
		$class .= 'btn-custom-small ';
	elseif($size == 'medium')
		$class .= 'btn-medium ';
	elseif($size == 'large')
		$class .= 'btn-custom-large ';
	else
		$class .= 'btn-medium ';
	if($color === '')
		$class .= 'btn-red ';
	if($color == 'red' || $color == 'teal' || $color == 'black' || $color == 'blue' || $color == 'yellow')
		$class .= 'btn-' . $color . ' ';
	elseif($color[0] == '#')
		$extra2 = ' style="background-image: none; background-color: ' . $color . '" ';
	else $class .= 'btn-red ';
	$icons = array('ok', 'align-right', 'glass', 'music', 'search', 'envelope', 'heart', 'star', 'star-empty', 'user',
			'film', 'zoom-in', 'zoom-out', 'signal', 'off', 'cog', 'trash', 'home', 'file', 'time', 'road',
			'download-alt', 'download', 'upload', 'inbox', 'play-circle', 'repeat', 'refresh', 'list-alt', 'lock',
			'flag', 'headphones', 'volume-off', 'volume-down', 'volume-up', 'qrcode', 'barcode', 'tag', 'tags', 
			'text-width', 'book', 'bookmark', 'print', 'camera', 'align-left', 'font', 'bold', 'italic', 'text-height',
			'align-center', 'align-right', 'align-justify', 'list', 'indent-left', 'indent-right', 'facetime-video',
			'picture', 'pencil', 'map-marker', 'adjust', 'tint', 'edit', 'share', 'check', 'move', 'step-backward', 
			'fast-backward', 'backward', 'play', 'pause', 'stop', 'forward', 'fast-forward', 'step-forward', 'eject',
			'chevron-left', 'chevron-right', 'plus-sign', 'minus-sign', 'remove-sign', 'ok-sign', 'question-sign',
			'info-sign', 'screenshot', 'remove-circle', 'ok-circle', 'ban-circle', 'arrow-left', 'arrow-right', 
			'arrow-up', 'arrow-down', 'share-alt', 'resize-full', 'resize-small', 'plus', 'minus', 'asterisk', 
			'exclamation-sign', 'gift', 'leaf', 'fire', 'eye-open', 'eye-close', 'warning-sign', 'plane', 'calendar',
			'random', 'comment', 'magnet', 'chevron-up', 'chevron-down', 'retweet', 'shopping-cart', 'folder-close',
			'folder-open', 'resize-vertical', 'resize-horizontal', 'hdd', 'bullhorn', 'bell', 'certificate', 
			'thumbs-up', 'thumbs-down', 'hand-right', 'hand-left', 'hand-up', 'hand-down', 'circle-arrow-right', 
			'circle-arrow-left', 'circle-arrow-up', 'circle-arrow-down', 'globe', 'wrench', 'tasks', 'filter', 
			'briefcase', 'fullscreen');
	if($icon !== '') {
		$class .= 'btn-icon';
		if(in_array($icon, $icons) )
			$extra = '<span class="inner-button"><i class="icon-' . $icon . ' icon-white"></i></span>';
		else
			$extra = '<span class="inner-button"><i class="icon-ok icon-white"></i></span>';
	}
	if($url !== '') {
		if($newwindow !== '')
			$output = '<a ' . $extra2 . ' class="' . $class . '" target="_blank" href="' . esc_url($url) . '">';
		else
			$output = '<a ' . $extra2 . ' class="' . $class . '" href="' . esc_url($url) . '">';
		$output .= $extra . $content . '</a>';
	}
	else
		$output = '<span ' . $extra2 . ' class="' . $class . '">' . $extra . $content . '</span>';

    return $output;
}

add_shortcode('tabs','voxis_tabs');
function voxis_tabs($atts, $content = null){
	extract(shortcode_atts(array(
		'style' => 'top',
		'tab1' => 0,
		'tab2' => 0,
		'tab3' => 0,
		'tab4' => 0,
		'tab5' => 0,
		'tab6' => 0,
		'tab1content' => 0,
		'tab2content' => 0,
		'tab3content' => 0,
		'tab4content' => 0,
		'tab5content' => 0,
		'tab6content' => 0
	), $atts));
	$tabs_id = rand(1, 25000);
	if($style != 'top' && $style != 'left')
		$style = 'top';
	$output = '<div class="tab-wrapper">
    <div class="tabbable tabs-' . $style . '"> 
        <ul class="nav nav-tabs">';
	if($tab1 !== 0)
		$output .= '<li class="first-child active">
			<a data-toggle="tab" href="#tab' . $tabs_id . '-tab1"><div class="inner-tab">' . $tab1 . '</div></a>
		</li>';
	if($tab2 !== 0)
		$output .= '<li>
			<a data-toggle="tab" href="#tab' . $tabs_id . '-tab2"><div class="inner-tab">' . $tab2 . '</div></a>
		</li>';
	if($tab3 !== 0)
		$output .= '<li>
			<a data-toggle="tab" href="#tab' . $tabs_id . '-tab3"><div class="inner-tab">' . $tab3 . '</div></a>
		</li>';
	if($tab4 !== 0)
		$output .= '<li>
			<a data-toggle="tab" href="#tab' . $tabs_id . '-tab4"><div class="inner-tab">' . $tab4 . '</div></a>
		</li>';
	if($tab5 !== 0)
		$output .= '<li>
			<a data-toggle="tab" href="#tab' . $tabs_id . '-tab5"><div class="inner-tab">' . $tab5 . '</div></a>
		</li>';
	if($tab6 !== 0)
		$output .= '<li>
			<a data-toggle="tab" href="#tab' . $tabs_id . '-tab6"><div class="inner-tab">' . $tab6 . '</div></a>
		</li>';
	$output .= '</ul>';

	$output .= '<div class="tab-content">';
	if($tab1content !== 0)
	{
		$output .= '<div id="tab' . $tabs_id . '-tab1" class="tab-pane active">
			<div class="inside-tab"><p>' . $tab1content . '</p></div>
		</div>';
	}
	if($tab2content !== 0)
	{
		$output .= '<div id="tab' . $tabs_id . '-tab2" class="tab-pane">
			<div class="inside-tab"><p>' . $tab2content . '</p></div>
		</div>';
	}
	if($tab3content !== 0)
	{
		$output .= '<div id="tab' . $tabs_id . '-tab3" class="tab-pane">
			<div class="inside-tab"><p>' . $tab3content . '</p></div>
		</div>';
	}
	if($tab4content !== 0)
	{
		$output .= '<div id="tab' . $tabs_id . '-tab4" class="tab-pane">
			<div class="inside-tab"><p>' . $tab4content . '</p></div>
		</div>';
	}
	if($tab5content !== 0)
	{
		$output .= '<div id="tab' . $tabs_id . '-tab5" class="tab-pane">
			<div class="inside-tab"><p>' . $tab5content . '</p></div>
		</div>';
	}
	if($tab6content !== 0)
	{
		$output .= '<div id="tab' . $tabs_id . '-tab6" class="tab-pane">
			<div class="inside-tab"><p>' . $tab6content . '</p></div>
		</div>';
	}
	$output .= '</div>';
	$output .= '</div> </div>';
	return $output;
}

add_shortcode('slidebox', 'voxis_slidebox');
function voxis_slidebox($atts, $content=null) {
	return '<div class="slide-box">
    <div class="inner-border">
        <div class="slider">
            <ul class="slides">' . do_shortcode($content) . '</ul>
     	</div>
    </div>
    </div>';
}

add_shortcode('slidebox_item', 'voxis_slidebox_item');
function voxis_slidebox_item($atts, $content=null) {
	extract(shortcode_atts(array(
		'title' => ''
	), $atts));
	$output = '<li>';
	if($title !== '')
		$output .= '<h3>' . $title . '</h3>';
	$output .= '<p>' . $content . '</p>';
	$output .= '</li>';
	return $output;
}

add_shortcode('toggle', 'voxis_toggle');
function voxis_toggle($atts, $content=null) {
	extract(shortcode_atts(array(
		'title' => '',
		'open' => 0
	), $atts));
	if($title === '')
		return '';
	if($open !== 0)
		$open = 'open';
	else
		$open = 'closed';
	$output = '<div class="toggle-box ' . $open . '">
        <div class="inner-border">
    		<div class="title-toggle">
    			<h3>' . $title . '</h3>
    			<button class="close-box">Close</button> 
    		</div>
            <div class="content-toggle">
                <p>' . $content . '</p>
            </div>
        </div>
    </div>';
    return $output;
}

add_shortcode('dropcap', 'voxis_dropcap');
function voxis_dropcap($atts, $content=null) {
	return '<p class="drop-cap">' . do_shortcode($content) . '</p>';
}

add_shortcode('highlight', 'voxis_highlight');
function voxis_highlight($atts, $content=null) {
	return '<span class="highlight">' . $content . '</span>';
}

add_shortcode('box', 'voxis_box');
function voxis_box($atts, $content=null) {
	extract(shortcode_atts(array(
		'type' => '',
	), $atts));
	$output = '';
	$class = '';
	if($type == 'error')
		$class = 'error';
	elseif($type == 'tip')
		$class = 'success';
	elseif($type == 'info')
		$class = 'info'; 
	$output .= '<div class="alert alert-' . $class . '">
        <div class="inner-alert">
            ' . $content . '
        </div>
    </div>';
	return $output;
}

add_shortcode('quote', 'voxis_quote');
function voxis_quote($atts, $content=null) {
	return '<blockquote>' . $content . '</blockquote>';
}

add_shortcode('icon', 'voxis_icon');
function voxis_icon($atts, $content=null) {
	extract(shortcode_atts(array(
		'type' => '',
	), $atts));
	$icons = array('ok', 'align-right', 'glass', 'music', 'search', 'envelope', 'heart', 'star', 'star-empty', 'user',
			'film', 'zoom-in', 'zoom-out', 'signal', 'off', 'cog', 'trash', 'home', 'file', 'time', 'road',
			'download-alt', 'download', 'upload', 'inbox', 'play-circle', 'repeat', 'refresh', 'list-alt', 'lock',
			'flag', 'headphones', 'volume-off', 'volume-down', 'volume-up', 'qrcode', 'barcode', 'tag', 'tags', 
			'text-width', 'book', 'bookmark', 'print', 'camera', 'align-left', 'font', 'bold', 'italic', 'text-height',
			'align-center', 'align-right', 'align-justify', 'list', 'indent-left', 'indent-right', 'facetime-video',
			'picture', 'pencil', 'map-marker', 'adjust', 'tint', 'edit', 'share', 'check', 'move', 'step-backward', 
			'fast-backward', 'backward', 'play', 'pause', 'stop', 'forward', 'fast-forward', 'step-forward', 'eject',
			'chevron-left', 'chevron-right', 'plus-sign', 'minus-sign', 'remove-sign', 'ok-sign', 'question-sign',
			'info-sign', 'screenshot', 'remove-circle', 'ok-circle', 'ban-circle', 'arrow-left', 'arrow-right', 
			'arrow-up', 'arrow-down', 'share-alt', 'resize-full', 'resize-small', 'plus', 'minus', 'asterisk', 
			'exclamation-sign', 'gift', 'leaf', 'fire', 'eye-open', 'eye-close', 'warning-sign', 'plane', 'calendar',
			'random', 'comment', 'magnet', 'chevron-up', 'chevron-down', 'retweet', 'shopping-cart', 'folder-close',
			'folder-open', 'resize-vertical', 'resize-horizontal', 'hdd', 'bullhorn', 'bell', 'certificate', 
			'thumbs-up', 'thumbs-down', 'hand-right', 'hand-left', 'hand-up', 'hand-down', 'circle-arrow-right', 
			'circle-arrow-left', 'circle-arrow-up', 'circle-arrow-down', 'globe', 'wrench', 'tasks', 'filter', 
			'briefcase', 'fullscreen');
	if(in_array($type, $icons) )
		return '<i class="icon-' . $type . '"></i>';
}

add_shortcode('tooltip', 'voxis_tooltip');
function voxis_tooltip($atts, $content=null) {
	extract(shortcode_atts(array(
		'title' => '',
	), $atts));
	if($title === '')
		return '';
	else
		return '<span id="toggle" title="' . $title . '">' . do_shortcode($content) . '</span>';
}
?>