var Voxis = {
    slideCounter : 0,
    init : function() {
        jQuery("#toggle").tooltip();
        jQuery('#contact_submit').addClass('btn btn-custom btn-red btn-medium btn-large-text');

        jQuery('input, textarea').placeholder();

        jQuery("a[rel^='prettyPhoto']").prettyPhoto({
        });

        jQuery(".main-nav nav > ul").tinyNav({
            active: 'active',
            header: 'Navigation'
        });
        jQuery('.l_tinynav1').addClass('hidden-phone');
        jQuery('#tinynav1').addClass('visible-phone');
        jQuery('#js-news').ticker({
            titleText: '',
        });

        if(jQuery('nav > ul.l_tinynav1 > li').length < 9)
            jQuery('header .main-nav nav > ul > li:last-child .inner a').css("border-right", "solid 1px #d3d2d2");

        Voxis.slidersInit();
        Voxis.resizeFeaturedVideo();
        Voxis.articleShowcase();
        Voxis.commentsBorder();
        Voxis.resizeContentHeight();
        Voxis.toggleBox();
        jQuery(window).scroll(function() {
            Voxis.hideScrollToTop();
        });
        jQuery('.back-to-top').click(Voxis.scrollTop);

        jQuery('.photo-list .photo a').tooltip();
    },
    slidersInit : function() {
        jQuery('.articles-slider').flexslider({
            'controlNav': true,
            'directionNav' : false,
            "touch": true,
            "animation": "slide",
            "animationLoop": true,
            "slideshow" : false
        });

        jQuery('#slider').flexslider({
            'controlNav': false,
            'directionNav' : false,
            "touch": true,
            "animation": "fade",
            "animationLoop": true,
            "slideshow" : false
        });

        jQuery('.slide-box .slider').flexslider({
            'controlNav': false,
            'directionNav' : true,
            "touch": true,
            "animation": "slide",
            "animationLoop": true,
            "slideshow" : false
        })

        jQuery('.slider-navigation .navigation-item').on('click', function() {
            var link = jQuery(this).attr('rel');
            link = parseInt(link);
            jQuery('.slider-navigation .navigation-item.active').removeClass('active');
            jQuery(this).addClass('active');
            jQuery('#slider').flexslider((link-1));
            clearInterval(intervalID);
            intervalID = setInterval( Voxis.moveSliders, 5000 );
        });

        var intervalID = setInterval( Voxis.moveSliders, 5000 );
    },
    moveSliders : function() {
        var max = jQuery('.slider-navigation .navigation-item').length;
        Voxis.slideCounter++;
        if (Voxis.slideCounter < max) {
            jQuery('.slider-navigation .navigation-item.active').next().click();
        } else {
            Voxis.slideCounter = 0;
            jQuery('.slider-navigation .navigation-item:first-child').click();
        }
    },
    resizeFeaturedVideo : function() {
        var divW = jQuery('.featured-video iframe').width();
        var videoH = 0.5625 * divW;
        jQuery('.featured-video iframe').attr('width', divW);
        jQuery('.featured-video iframe').attr('height', videoH);
    },
    articleShowcase : function() {
        jQuery('.article-showcase article').on('click', function(e) {
            e.preventDefault();
            jQuery('.article-showcase article.active').removeClass('active');
            jQuery(this).addClass('active');
            var link = jQuery(this).attr('rel');
            jQuery('.article-showcase .big-article.active').removeClass('active').fadeOut('slow', function() {
                jQuery('.article-showcase .big-article[rel="'+link+'"]').fadeIn('slow');
                jQuery('.article-showcase .big-article[rel="'+link+'"]').addClass('active');
            });
        });
    },
    commentsBorder : function() {
        jQuery('.top-comment').each(function() {
            var commentH = jQuery(this).height();
            var figureH = jQuery(this).find('figure').first().height();
            console.log(figureH);
            jQuery(this).find('.border').height((commentH-(1.9 * figureH)));
//            var positionTop = jQuery(this).children().last().position().top;
//            console.log(positionTop);
        });
    },
    resizeContentHeight : function() {
        var windowH = jQuery(window).height();
        var headerH = jQuery('header').height();
        var sliderH = jQuery('.slider').height();
        var footerH = jQuery('footer').height();
        var sub_footerH = jQuery('.sub-footer').height();

        var contentH = windowH - headerH - sliderH - footerH - sub_footerH - 19;

        jQuery('#main > .container').css({
            "min-height" : contentH
        });
    },
    toggleBox : function() {
        jQuery('.toggle-box .close-box').on('click', function() {
           var box = jQuery(this).parent().parent().parent();
            if(box.hasClass('open')) {
                box.find('.content-toggle').slideUp("fast", function() {
                    box.removeClass('open').addClass('closed');
                });
            }
            if(box.hasClass('closed')) {
                box.find('.content-toggle').slideDown("fast", function() {
                    box.removeClass('closed').addClass('open');
                });
            }
        });
    },
    scrollTop : function() {
        jQuery('body, html').animate({
            scrollTop:  "0px"
        }, 500);
        return false;
    },
    hideScrollToTop : function() {
        var windowH = jQuery(window).height();
        var scrollH = jQuery(window).scrollTop() + windowH - 100;
        if( windowH < scrollH ) {
            jQuery('.back-to-top').fadeIn('slow');
        } else {
            jQuery('.back-to-top').fadeOut('slow');
        }
    }
}

jQuery(document).ready(function() {
   Voxis.init();
});

jQuery(window).resize(function() {
    Voxis.resizeFeaturedVideo();
    Voxis.commentsBorder();
    Voxis.resizeContentHeight();
});