<?php 
/*
Template name: Blog page 
*/
get_header();
the_post(); 
$options = get_post_meta($post->ID, 'voxis_ptemplate_settings', true);
?>
<div id="main">
    <div class='container'>
        <div class='row'>
            <div class='content <?php if($options['fullwidth'] == 1) echo 'span12'; else echo 'span8';?>'>
                <div class="blog-page">
                    <article>
                        <h1 class='title'><?php the_title();?></h1>
                        <div class='blog-content'>
                            <?php the_content();?>
                            <div class="clear"></div>
                        </div>
                    </article>
                </div>

                <div class='blog-style'>
                    <?php
                    $numposts = $options['blog_posts'] != 0 ? (int)$options['blog_posts'] : 10;
                    $args['posts_per_page'] = $numposts;
                    if($options['categories'] != '')
                        $args['category__in'] = $options['categories'];
                    $paged = is_front_page() ? get_query_var( 'page' ) : get_query_var( 'paged' );
                    $args['paged'] = $paged;
                    query_posts($args);
                    $count = 0;
                    if(have_posts() ) : while(have_posts() ) : the_post();
                        if($options['blog_style'] == 1)
                            get_template_part('content', 'blogstyle');
                        else
                            get_template_part('content');

                        $count++;
                        //Ads after the 2nd post
                        if($count == 2) {
                            if(isset($voxis_options['middle_728x90']) && $voxis_options['middle_728x90'] != '') { ?>
                            <div class='middle-advertising hidden-phone'>
                                <?php echo $voxis_options['middle_728x90'];?>
                            </div>
                            <?php }
                        }
                        //end ads
                    endwhile; 
                    get_template_part('includes/pagination'); 
                    else : ?>
                        <div class="page404">
                            <div class='big-title'><?php _e('Oops!', 'Voxis');?></div>
                            <div class='small-title'><?php _e('No information found for your search criteria.', 'Voxis');?></div>
                        </div>
                    <?php endif; wp_reset_query(); ?>
                </div>

            </div>

            <?php get_sidebar();?>
        </div>
    </div>
</div>
<?php get_footer();?>