<?php
/*
Template name: Contact page
*/
get_header();
the_post(); 
global $voxis_options;
if(isset($_POST['postComment']) ) {
	if( !$_POST['vox_name'] || !$_POST['vox_email'] || !$_POST['vox_message'] || $_POST['vox_name'] == '' || 
		$_POST['vox_email'] == ''  || $_POST['vox_message'] == '' ) {
		$error = 'Please fill in all the required fields';
	}
	else 
	{
		//everything's fine, we continue with sending the e-mail
		$name = esc_html($_POST['vox_name']);
		$email = esc_html($_POST['vox_email']);
		$message = esc_html($_POST['vox_message']);
		$msg = 'Name: ' . $name . PHP_EOL;
		$msg .= 'E-mail: ' . $email . PHP_EOL;
		$msg .= 'Message: ' . $message;
		$to = $voxis_options['email'];
		$sitename = get_bloginfo('name');
		$subject = '[' . $sitename . ']' . ' New Message';
		$headers = 'From: ' . $name . ' <' . $email . '>' . PHP_EOL;
		wp_mail($to, $subject, $msg, $headers);
		$ok = "Message succesfully sent";
	}
}
?>
<div id="main">
    <div class='container'>
        <div class='row'>
            <div class='content span8 blog-page'>
                <article>
                    <h1 class='title'><?php the_title();?></h1>
                    <div class='blog-content'>
                        <?php the_content();?>
                        <div class="clear"></div>
                        <div class="contact-form">
	                        <?php if(isset($error) && $error != '') { ?>
		                        <div class="alert alert-error">
		                            <div class="inner-alert">
		                                <?php echo $error;?>
		                            </div>
		                        </div>
		                    <?php } ?>

	                        <?php if(isset($ok ) && $ok != '') { ?>
		                        <div class="alert alert-success">
		                            <div class="inner-alert">
		                                <?php echo $ok;?>
		                            </div>
		                        </div>
		                    <?php } ?>

	                        <form id="commentform" class="contactform" method="post" action="<?php echo(get_permalink($post->ID)); ?>">
	                            <input id="name" type="text" name='vox_name' placeholder="<?php _e('Your name ...', 'Voxis');?>" class='span5 contact-input'/>
	                            <input id="email" type="email" name='vox_email' placeholder="<?php _e('Your email ...', 'Voxis');?> " class='span5 contact-input' />
	                            <textarea id="message" name="vox_message" rows="10" class='span7 contact-input' placeholder="<?php _e('Your message ...', 'Voxis');?>"></textarea>
	                            <input id="send_message" type="submit" name="postComment" value='<?php _e('Send Message', 'Voxis');?>' class='btn btn-custom btn-red btn-medium btn-large-text' />
	                        </form>
	                    </div>
                    </div>

                </article>
            </div>
        </div>
    </div>
</div>
<?php get_footer();?>