<?php 
get_header();
the_post(); 
?>
<div id="main">
    <div class='container'>
        <div class='row'>
            <div class='content span8 blog-page'>
                <article>
                    <h1 class='title'><?php the_title();?></h1>
                    <figure>
                        <?php if(has_post_thumbnail() ) { ?>
                            <?php $thumb = wp_get_attachment_url( get_post_thumbnail_id($post->ID) );?>
                            <a href="<?php echo $thumb;?>" rel="prettyPhoto">
                                <img src="<?php echo aq_resize($thumb, 768, 317, true); ?>" alt="<?php the_title();?>" />
                            </a>

                        <?php } ?>
                    </figure>
                    <div class='blog-content'>
                        <div class='info'>
                            <?php _e('Posted on ', 'Voxis');?>
                            <?php the_time("d/m/Y");?>, 
                            <?php _e('by ', 'Voxis'); the_author_posts_link();?>
                        </div>
                        <?php the_content();?>
                        <div class="clear"></div>
                    </div>
                    
                    <div class='blog-bottom'>
                        <div class='share-title'><?php _e('Share', 'Voxis');?></div>
                        <div class='share-content'>
                            <!-- AddThis Button BEGIN -->
                            <div class="addthis_toolbox addthis_default_style ">
                            <a class="addthis_button_facebook_like" fb:like:layout="button_count"></a>
                            <a class="addthis_button_tweet"></a>
                            <a class="addthis_button_pinterest_pinit"></a>
                            <a class="addthis_counter addthis_pill_style"></a>
                            </div>
                            <script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=xa-5133cbfc3c9054b8"></script>
                            <!-- AddThis Button END -->
                        </div>
                    </div>
                </article>
                <div class='row'>
                    <div class='span8 author-box'>
                        <div class='box-title'>
                            <h2><?php _e('About', 'Voxis');?> <?php echo get_the_author_meta('display_name');?> </h2>
                            <div class='title-line'></div>
                        </div>
                        <div class='author'>
                            <figure>
                                <?php echo get_avatar(get_the_author_meta('user_email'), 91, 91);?>
                            </figure>
                            <div class='author-links'>
                                <?php 
                                $twitter = get_the_author_meta('twitter');
                                $facebook = get_the_author_meta('facebook');
                                $gplus = get_the_author_meta('gplus');
                                if($twitter != '') 
                                    echo '<a rel="nofollow" href="' . esc_url($twitter). '" class="twitter author-social">Twitter</a>';
                                if($facebook != '') 
                                    echo '<a rel="nofollow" href="' . esc_url($facebook). '" class="facebook author-social">Facebook</a>';
                                if($gplus != '') 
                                    echo '<a rel="nofollow" href="' . esc_url($gplus). '" class="googleplus author-social">Google+</a>';
                                ?>
                            </div>
                            <div class='description'>
                                <?php echo get_the_author_meta('description');?>
                            </div>
                        </div>
                    </div>
                </div>

                <?php comments_template('', true);?>
            </div>

            <?php get_sidebar();?>
            
        </div>
    </div>
</div>
<?php get_footer();?>