<?php 
get_header();
the_post(); 
?>
<div id="main">
    <div class='container'>
        <div class='row'>
            <div class='content span8 blog-page'>
                <article>
                    <h1 class='title'><?php the_title();?></h1>
                    <figure>
                        <?php if(has_post_thumbnail() ) { ?>
                            <?php $thumb = wp_get_attachment_url( get_post_thumbnail_id($post->ID) );?>
                            <a href="<?php echo $thumb;?>" rel="prettyPhoto">
                                <img src="<?php echo aq_resize($thumb, 768, 317, true); ?>" alt="<?php the_title();?>" />
                            </a>
                        <?php } ?>
                    </figure>
                    <div class='blog-content'>
                        <div class='info'>
                            <?php comments_popup_link(esc_html__('0 comments','Voxis'), esc_html__('1 comment','Voxis'), '% '.esc_html__('comments','Voxis')); ?>, 
                            <?php the_time("d/m/Y");?>, 
                            <?php _e('by ', 'Voxis'); the_author_posts_link();?>, 
                            <?php _e('in ', 'Voxis'); 
                             $categories = get_the_category();
                            for($i=0; $i<count($categories); $i++)
                            {
                                echo '<a class="dark" href="' . get_category_link($categories[$i]->term_id)  . '">' . $categories[$i]->name . '</a>';
                                if($i != count($categories) -1)
                                    echo ',';
                                echo PHP_EOL;
                            }
                            ?>
                        </div>
                        <?php the_content();?>
                        <?php wp_link_pages(array('before' => '<p><strong>'.esc_html__('Pages','Voxis').':</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
                        <div class="clear"></div>
                                
                        <?php 
                        $posttags = get_the_tags();
                        if($posttags) { ?>
                            <div class="tag-container">
                                <div class='tag-title'><?php _e('Tags: ', 'Voxis');?></div>
                                <?php 
                                foreach($posttags as $tag) 
                                    echo '<a class="tag" href="' . get_tag_link($tag->term_id) . '">' . $tag->name . '</a>';
                                ?>
                            </div>
                        <?php } ?>

                        <div class="single-navigation">
                            <?php previous_post_link("<div class='prev'>&laquo; %link</div>"); ?>
                            <?php next_post_link("<div class='next'>%link &raquo;</div>"); ?> 
                        </div>

                        <div class="clear"></div>

                    </div>
                    
                    <div class='blog-bottom'>
                        <div class='share-title'><?php _e('Share', 'Voxis');?></div>
                        <div class='share-content'>
                            <!-- AddThis Button BEGIN -->
                            <div class="addthis_toolbox addthis_default_style ">
                            <a class="addthis_button_facebook_like" fb:like:layout="button_count"></a>
                            <a class="addthis_button_tweet"></a>
                            <a class="addthis_button_pinterest_pinit"></a>
                            <a class="addthis_counter addthis_pill_style"></a>
                            </div>
                            <script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=xa-5133cbfc3c9054b8"></script>
                            <!-- AddThis Button END -->
                        </div>
                    </div>
                </article>
                <div class='row'>
                    <div class='span8 author-box'>
                        <div class='box-title'>
                            <h2><?php _e('About', 'Voxis');?> <?php echo get_the_author_meta('display_name');?> </h2>
                            <div class='title-line'></div>
                        </div>
                        <div class='author'>
                            <figure>
                                <?php echo get_avatar(get_the_author_meta('user_email'), 91, 91);?>
                            </figure>
                            <div class='author-links'>
                                <?php 
                                $twitter = get_the_author_meta('twitter');
                                $facebook = get_the_author_meta('facebook');
                                $gplus = get_the_author_meta('gplus');
                                if($twitter != '') 
                                    echo '<a rel="nofollow" href="' . esc_url($twitter). '" class="twitter author-social">Twitter</a>';
                                if($facebook != '') 
                                    echo '<a rel="nofollow" href="' . esc_url($facebook). '" class="facebook author-social">Facebook</a>';
                                if($gplus != '') 
                                    echo '<a rel="nofollow" href="' . esc_url($gplus). '" class="googleplus author-social">Google+</a>';
                                ?>
                            </div>
                            <div class='description'>
                                <?php echo get_the_author_meta('description');?>
                            </div>
                        </div>
                    </div>
                </div>

                <?php if(isset($voxis_options['middle_728x90']) && $voxis_options['middle_728x90'] != '') { ?>
                        <div class="row">
                            <div class='span8 middle-advertising hidden-phone'>
                                <?php echo $voxis_options['middle_728x90'];?>
                            </div>
                        </div>
                    <?php } ?>

                <div class="row">
                    <div class='related-news span8'>
                        <div class='inner-box'>
                            <h1 class='title'><?php _e('Related News', 'Voxis');?></h1>
                            <?php
                            $args = array();
                            $cats = array();
                            $categories = get_the_category();
                            foreach($categories as $cat) 
                                $cats[] = $cat->term_id;
                            $args['category__in'] = $cats;
                            $args['post__not_in'] = (array)$post->ID;
                            $args['posts_per_page'] = 3;
                            $args['orderby'] = 'rand';
                            $query = new WP_Query($args);
                            while($query->have_posts() ) : $query->the_post(); ?>
                                <div class="column">
                                    <div class='inner'>
                                        <a href="<?php the_permalink();?>">
                                            <figure>
                                                <img src="<?php echo aq_resize(wp_get_attachment_url( get_post_thumbnail_id($post->ID) ), 768, 317, true); ?>" alt="<?php the_title();?>" />
                                            </figure>
                                            <div class='title'><?php the_title();?></div>
                                            <div class='date'><?php the_time("d/m/Y");?></div>
                                        </a>
                                    </div>
                                </div>
                            <?php endwhile; wp_reset_postdata();?>
                      </div>
                    </div>
                </div>
                <?php comments_template('', true);?>
            </div>

            <?php get_sidebar();?>
            
        </div>
    </div>
</div>
<?php get_footer();?>